# Interface Segment

interface Segment {
description: string;
expanded: boolean;
key: string;
type: undefined | string;
value: any;
}

- Defined in lib/json-viewer/json-viewer.component.ts:26

#####
Index

### Properties

description
expanded
key
type
value

## Properties

### description

description: string

- Defined in lib/json-viewer/json-viewer.component.ts:30

### expanded

expanded: boolean

- Defined in lib/json-viewer/json-viewer.component.ts:31

### key

key: string

- Defined in lib/json-viewer/json-viewer.component.ts:27

### type

type: undefined | string

- Defined in lib/json-viewer/json-viewer.component.ts:29

### value

value: any

- Defined in lib/json-viewer/json-viewer.component.ts:28